> For the complete documentation index, see [llms.txt](https://docs.creditcoop.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.creditcoop.xyz/developer-api-docs/whitelist-requests.md).

# Whitelist Requests

Vault whitelist request management

## Submit vault whitelist request

> Submit a request to be whitelisted for a private vault (requires verified status)

```json
{"openapi":"3.0.3","info":{"title":"Credit Coop API","version":"3.0.0"},"tags":[{"name":"Whitelist Requests","description":"Vault whitelist request management"}],"servers":[{"url":"https://api.creditcoop.xyz"}],"security":[{"BearerAuth":[]},{"OAuth2":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Clerk authentication token (session JWT or Clerk OAuth access token) used by Credit Coop"},"OAuth2":{"type":"oauth2","flows":{"authorizationCode":{"authorizationUrl":"https://clerk.creditcoop.xyz/oauth/authorize","tokenUrl":"https://clerk.creditcoop.xyz/oauth/token","scopes":{"openid":"OpenID Connect","email":"User email","profile":"User profile"}}},"description":"Credit Coop OAuth"}},"schemas":{"ErrorResponse":{"type":"object","required":["error"],"properties":{"error":{"type":"string"},"message":{"type":"string"},"statusCode":{"type":"integer"}}}}},"paths":{"/v3/whitelist-requests":{"post":{"operationId":"createWhitelistRequest","summary":"Submit vault whitelist request","tags":["Whitelist Requests"],"description":"Submit a request to be whitelisted for a private vault (requires verified status)","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"vaultId":{"type":"string","format":"uuid","description":"Vault ID. If provided, vaultAddress and networkId are derived from the vault. Example: 550e8400-e29b-41d4-a716-446655440000"},"vaultAddress":{"type":"string","maxLength":42,"pattern":"^0x[0-9a-fA-F]{40}$","description":"The Ethereum address of the vault (required if vaultId is not provided). Example: 0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045"},"networkId":{"type":"string","maxLength":50,"description":"The CAIP-2 network identifier, e.g. \"eip155:1\" (required if vaultId is not provided)"},"requestorAddress":{"type":"string","maxLength":42,"pattern":"^0x[0-9a-fA-F]{40}$","description":"Your Ethereum address to be whitelisted. Example: 0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045"}},"required":["requestorAddress"],"oneOf":[{"required":["vaultId"]},{"required":["vaultAddress","networkId"]}]}}}},"responses":{"201":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","required":["id","vaultAddress","networkId","requestorEmail","requestorAddress","status","requestedAt","createdAt","updatedAt"],"properties":{"id":{"type":"string","format":"uuid"},"vaultAddress":{"type":"string"},"networkId":{"type":"string"},"requestorUserId":{"type":"string","format":"uuid","nullable":true},"requestorEmail":{"type":"string"},"requestorAddress":{"type":"string"},"status":{"type":"string"},"requestedAt":{"type":"string","format":"date-time"},"approverUserId":{"type":"string","format":"uuid","nullable":true},"approverEmail":{"type":"string","nullable":true},"approverAddress":{"type":"string","nullable":true},"processedAt":{"type":"string","format":"date-time","nullable":true},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}}}}},"400":{"description":"Default Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Default Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Default Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Default Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"409":{"description":"Default Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Get my whitelist requests

> Get all whitelist requests submitted by the authenticated user

```json
{"openapi":"3.0.3","info":{"title":"Credit Coop API","version":"3.0.0"},"tags":[{"name":"Whitelist Requests","description":"Vault whitelist request management"}],"servers":[{"url":"https://api.creditcoop.xyz"}],"security":[{"BearerAuth":[]},{"OAuth2":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Clerk authentication token (session JWT or Clerk OAuth access token) used by Credit Coop"},"OAuth2":{"type":"oauth2","flows":{"authorizationCode":{"authorizationUrl":"https://clerk.creditcoop.xyz/oauth/authorize","tokenUrl":"https://clerk.creditcoop.xyz/oauth/token","scopes":{"openid":"OpenID Connect","email":"User email","profile":"User profile"}}},"description":"Credit Coop OAuth"}},"schemas":{"ErrorResponse":{"type":"object","required":["error"],"properties":{"error":{"type":"string"},"message":{"type":"string"},"statusCode":{"type":"integer"}}}}},"paths":{"/v3/whitelist-requests/me":{"get":{"operationId":"listMyWhitelistRequests","summary":"Get my whitelist requests","tags":["Whitelist Requests"],"description":"Get all whitelist requests submitted by the authenticated user","parameters":[{"schema":{"type":"string","enum":["pending","approved","rejected"]},"in":"query","name":"status","required":false,"description":"Filter by request status"},{"schema":{"type":"string","format":"uuid"},"in":"query","name":"vaultId","required":false,"description":"Filter by vault ID. Takes precedence over vaultAddress. Example: 550e8400-e29b-41d4-a716-446655440000"},{"schema":{"type":"string","maxLength":42,"pattern":"^0x[0-9a-fA-F]{40}$"},"in":"query","name":"vaultAddress","required":false,"description":"Filter by vault address. Example: 0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045"},{"schema":{"type":"integer","minimum":1,"maximum":100,"default":20},"in":"query","name":"limit","required":false},{"schema":{"type":"integer","minimum":0,"default":0},"in":"query","name":"offset","required":false}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","required":["requests","pagination"],"properties":{"requests":{"type":"array","items":{"type":"object","required":["id","vaultAddress","networkId","requestorEmail","requestorAddress","status","requestedAt","createdAt","updatedAt"],"properties":{"id":{"type":"string","format":"uuid"},"vaultAddress":{"type":"string"},"networkId":{"type":"string"},"requestorUserId":{"type":"string","format":"uuid","nullable":true},"requestorEmail":{"type":"string"},"requestorAddress":{"type":"string"},"status":{"type":"string"},"requestedAt":{"type":"string","format":"date-time"},"approverUserId":{"type":"string","format":"uuid","nullable":true},"approverEmail":{"type":"string","nullable":true},"approverAddress":{"type":"string","nullable":true},"processedAt":{"type":"string","format":"date-time","nullable":true},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}}},"pagination":{"type":"object","required":["total","limit","offset"],"properties":{"total":{"type":"integer"},"limit":{"type":"integer"},"offset":{"type":"integer"}}}}}}}},"401":{"description":"Default Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Default Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Get whitelist request by ID

> Get a specific whitelist request by ID (must be owned by you)

```json
{"openapi":"3.0.3","info":{"title":"Credit Coop API","version":"3.0.0"},"tags":[{"name":"Whitelist Requests","description":"Vault whitelist request management"}],"servers":[{"url":"https://api.creditcoop.xyz"}],"security":[{"BearerAuth":[]},{"OAuth2":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Clerk authentication token (session JWT or Clerk OAuth access token) used by Credit Coop"},"OAuth2":{"type":"oauth2","flows":{"authorizationCode":{"authorizationUrl":"https://clerk.creditcoop.xyz/oauth/authorize","tokenUrl":"https://clerk.creditcoop.xyz/oauth/token","scopes":{"openid":"OpenID Connect","email":"User email","profile":"User profile"}}},"description":"Credit Coop OAuth"}},"schemas":{"ErrorResponse":{"type":"object","required":["error"],"properties":{"error":{"type":"string"},"message":{"type":"string"},"statusCode":{"type":"integer"}}}}},"paths":{"/v3/whitelist-requests/{requestId}":{"get":{"operationId":"getWhitelistRequest","summary":"Get whitelist request by ID","tags":["Whitelist Requests"],"description":"Get a specific whitelist request by ID (must be owned by you)","parameters":[{"schema":{"type":"string","format":"uuid"},"in":"path","name":"requestId","required":true}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","required":["id","vaultAddress","networkId","requestorEmail","requestorAddress","status","requestedAt","createdAt","updatedAt"],"properties":{"id":{"type":"string","format":"uuid"},"vaultAddress":{"type":"string"},"networkId":{"type":"string"},"requestorUserId":{"type":"string","format":"uuid","nullable":true},"requestorEmail":{"type":"string"},"requestorAddress":{"type":"string"},"status":{"type":"string"},"requestedAt":{"type":"string","format":"date-time"},"approverUserId":{"type":"string","format":"uuid","nullable":true},"approverEmail":{"type":"string","nullable":true},"approverAddress":{"type":"string","nullable":true},"processedAt":{"type":"string","format":"date-time","nullable":true},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}}}}},"401":{"description":"Default Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Default Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Get whitelist requests for a vault

> Get all whitelist requests for a specific vault by vault ID. Requires the caller to be a member of the vault's organization.

```json
{"openapi":"3.0.3","info":{"title":"Credit Coop API","version":"3.0.0"},"tags":[{"name":"Whitelist Requests","description":"Vault whitelist request management"}],"servers":[{"url":"https://api.creditcoop.xyz"}],"security":[{"BearerAuth":[]},{"OAuth2":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Clerk authentication token (session JWT or Clerk OAuth access token) used by Credit Coop"},"OAuth2":{"type":"oauth2","flows":{"authorizationCode":{"authorizationUrl":"https://clerk.creditcoop.xyz/oauth/authorize","tokenUrl":"https://clerk.creditcoop.xyz/oauth/token","scopes":{"openid":"OpenID Connect","email":"User email","profile":"User profile"}}},"description":"Credit Coop OAuth"}},"schemas":{"ErrorResponse":{"type":"object","required":["error"],"properties":{"error":{"type":"string"},"message":{"type":"string"},"statusCode":{"type":"integer"}}}}},"paths":{"/v3/whitelist-requests/vault/{vaultId}":{"get":{"operationId":"listVaultWhitelistRequests","summary":"Get whitelist requests for a vault","tags":["Whitelist Requests"],"description":"Get all whitelist requests for a specific vault by vault ID. Requires the caller to be a member of the vault's organization.","parameters":[{"schema":{"type":"string","enum":["pending","approved","rejected"]},"in":"query","name":"status","required":false},{"schema":{"type":"string","format":"uuid"},"in":"path","name":"vaultId","required":true,"description":"Vault ID. Example: 550e8400-e29b-41d4-a716-446655440000"}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","required":["requests","total"],"properties":{"requests":{"type":"array","items":{"type":"object","required":["id","vaultAddress","networkId","requestorEmail","requestorAddress","status","requestedAt","createdAt","updatedAt"],"properties":{"id":{"type":"string","format":"uuid"},"vaultAddress":{"type":"string"},"networkId":{"type":"string"},"requestorUserId":{"type":"string","format":"uuid","nullable":true},"requestorEmail":{"type":"string"},"requestorAddress":{"type":"string"},"status":{"type":"string"},"requestedAt":{"type":"string","format":"date-time"},"approverUserId":{"type":"string","format":"uuid","nullable":true},"approverEmail":{"type":"string","nullable":true},"approverAddress":{"type":"string","nullable":true},"processedAt":{"type":"string","format":"date-time","nullable":true},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}}},"total":{"type":"integer"}}}}}},"401":{"description":"Default Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Default Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Default Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```

## Reject a whitelist request

> Reject a whitelist request. Requires the caller to be a curator in the vault's organization.

```json
{"openapi":"3.0.3","info":{"title":"Credit Coop API","version":"3.0.0"},"tags":[{"name":"Whitelist Requests","description":"Vault whitelist request management"}],"servers":[{"url":"https://api.creditcoop.xyz"}],"security":[{"BearerAuth":[]},{"OAuth2":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT","description":"Clerk authentication token (session JWT or Clerk OAuth access token) used by Credit Coop"},"OAuth2":{"type":"oauth2","flows":{"authorizationCode":{"authorizationUrl":"https://clerk.creditcoop.xyz/oauth/authorize","tokenUrl":"https://clerk.creditcoop.xyz/oauth/token","scopes":{"openid":"OpenID Connect","email":"User email","profile":"User profile"}}},"description":"Credit Coop OAuth"}},"schemas":{"ErrorResponse":{"type":"object","required":["error"],"properties":{"error":{"type":"string"},"message":{"type":"string"},"statusCode":{"type":"integer"}}}}},"paths":{"/v3/whitelist-requests/{requestId}/reject":{"post":{"operationId":"rejectWhitelistRequest","summary":"Reject a whitelist request","tags":["Whitelist Requests"],"description":"Reject a whitelist request. Requires the caller to be a curator in the vault's organization.","requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"approverAddress":{"type":"string","maxLength":42,"pattern":"^0x[0-9a-fA-F]{40}$","description":"Optional Ethereum address of the approver. Example: 0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045"}}}}}},"parameters":[{"schema":{"type":"string","format":"uuid"},"in":"path","name":"requestId","required":true}],"responses":{"200":{"description":"Default Response","content":{"application/json":{"schema":{"type":"object","required":["id","vaultAddress","networkId","requestorEmail","requestorAddress","status","requestedAt","createdAt","updatedAt"],"properties":{"id":{"type":"string","format":"uuid"},"vaultAddress":{"type":"string"},"networkId":{"type":"string"},"requestorUserId":{"type":"string","format":"uuid","nullable":true},"requestorEmail":{"type":"string"},"requestorAddress":{"type":"string"},"status":{"type":"string"},"requestedAt":{"type":"string","format":"date-time"},"approverUserId":{"type":"string","format":"uuid","nullable":true},"approverEmail":{"type":"string","nullable":true},"approverAddress":{"type":"string","nullable":true},"processedAt":{"type":"string","format":"date-time","nullable":true},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}}}}},"400":{"description":"Default Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"401":{"description":"Default Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"403":{"description":"Default Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}},"404":{"description":"Default Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResponse"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.creditcoop.xyz/developer-api-docs/whitelist-requests.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
